Subject: bug#51040: No curved quotes in format-prompt and minibuffer-default-prompt-format

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 05 Oct 2021 18:44:18 +0200

Stefan Kangas <[email-masked]> writes:

> It seems like `format-prompt' and `minibuffer-default-prompt-format'
> does not support curved quotes.  Should they?

I think so...

> Now, this is easy to fix, but we need to decide if it's okay that
> `format-prompt' just runs `substitute-command-keys' on these by default.
> I believe that fix should be fine, but maybe I'm missing something.

Perhaps refactor out the curved quote stuff from
`substitute-command-keys' into its own function and then use that?
(Note: I haven't actually looked at that function.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no